async_pool 0.2.1 copy "async_pool: ^0.2.1" to clipboard
async_pool: ^0.2.1 copied to clipboard

A future and async thread pool project.has a syntax similar to CompletableFuture in java

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add async_pool

With Flutter:

 $ flutter pub add async_pool

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  async_pool: ^0.2.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:async_pool/async_pool.dart';
0
likes
160
pub points
9%
popularity

Publisher

unverified uploader

A future and async thread pool project.has a syntax similar to CompletableFuture in java

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

More

Packages that depend on async_pool